package ch.zhaw.projekt2.turnierverwaltung.main;

import ch.zhaw.projekt2.turnierverwaltung.Factory;
import ch.zhaw.projekt2.turnierverwaltung.FileIO;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

import java.awt.*;
import java.io.IOException;

public class MainWindow extends Application {
    private FileIO fileIO = new FileIO(System.getProperty("user.dir") + "/tournierverwaltung_angrynerds");
    private Factory factory = new Factory(fileIO); //TODO make it private!

    @Override
    public void start(Stage primaryStage) throws Exception {

        BorderPane pane = factory.loadMainWindow();
        factory.loadTournamentList(pane);


        Scene scene = new Scene(pane);
        primaryStage.setScene(scene);
        primaryStage.setMaximized(true);
        primaryStage.setResizable(false);
        primaryStage.setFullScreen(false);
        primaryStage.show();
    }


}
